# pypiplot

[![Python](https://img.shields.io/pypi/pyversions/pypiplot)](https://img.shields.io/pypi/pyversions/pypiplot)
[![PyPI Version](https://img.shields.io/pypi/v/pypiplot)](https://pypi.org/project/pypiplot/)
[![License](https://img.shields.io/badge/license-MIT-green.svg)](https://github.com/erdogant/pypiplot/blob/master/LICENSE)
[![BuyMeCoffee](https://img.shields.io/badge/buymea-coffee-yellow.svg)](https://www.buymeacoffee.com/erdogant)
[![Github Forks](https://img.shields.io/github/forks/erdogant/pypiplot.svg)](https://github.com/erdogant/pypiplot/network)
[![GitHub Open Issues](https://img.shields.io/github/issues/erdogant/pypiplot.svg)](https://github.com/erdogant/pypiplot/issues)
[![Project Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Downloads](https://pepy.tech/badge/pypiplot/month)](https://pepy.tech/project/pypiplot/)
[![Downloads](https://pepy.tech/badge/pypiplot)](https://pepy.tech/project/pypiplot)
[![DOI](https://zenodo.org/badge/293334020.svg)](https://zenodo.org/badge/latestdoi/293334020)
[![Sphinx](https://img.shields.io/badge/Sphinx-Docs-Green)](https://erdogant.github.io/pypiplot/)
<!---[![Coffee](https://img.shields.io/badge/coffee-black-grey.svg)](https://erdogant.github.io/donate/?currency=USD&amount=5)-->

* pypiplot is Python package to count and plot the number of downloads from Pypi.

# 
**⭐️ Star this repo if you like it ⭐️**
#

#### Install Pypiplot from PyPI

```bash
pip install Pypiplot
```

#### Import Pypiplot package

```python
from pypiplot import Pypiplot
```
# 


### [Documentation pages](https://erdogant.github.io/Pypiplot/)

On the [documentation pages](https://erdogant.github.io/Pypiplot/) you can find detailed information about the working of the ``Pypiplot`` with many examples. 

<hr> 

### Examples

# 
* [Example: Analyze first digit-distribution](https://erdogant.github.io/pypiplot/pages/html/Examples.html#)
# 
* [Example: Download Statistics](https://erdogant.github.io/pypiplot/pages/html/Examples.html#download-statistics)
# 
* [Example: Top 10 performing repos](https://erdogant.github.io/pypiplot/pages/html/Examples.html#top-10-performing-repos)
# 
* [Example: Interactive plot with all repos](https://erdogant.github.io/pypiplot/pages/html/Examples.html#interactive-plot-with-all-repos)
# 
* [Example: Run from terminal](https://erdogant.github.io/pypiplot/pages/html/Examples.html#run-pypiplot-from-terminal)
# 
* [Example: Calender plot](https://erdogant.github.io/pypiplot/pages/html/Examples.html#calender-plot)

<p align="left">
  <a href="https://erdogant.github.io/pypiplot/pages/html/Examples.html#calender-plot">
  <img src="https://github.com/erdogant/pypiplot/blob/master/docs/figs/calender.png" width="600" />
  </a>
</p>

# 
* [Example: interactive-heatmap](https://erdogant.github.io/pypiplot/pages/html/Examples.html#interactive-heatmap)

<p align="left">
  <a href="https://erdogant.github.io/pypiplot/pages/html/Examples.html#interactive-heatmap">
  <img src="https://github.com/erdogant/pypiplot/blob/master/docs/figs/plot_default.png" width="600" />
  </a>
</p>

# 
* [Example: line-plot](https://erdogant.github.io/pypiplot/pages/html/Examples.html#line-plot)

<p align="left">
  <a href="https://erdogant.github.io/pypiplot/pages/html/Examples.html#line-plot">
  <img src="https://github.com/erdogant/pypiplot/blob/master/docs/figs/lineplot.png" width="600" />
  </a>
</p>


<hr>

### Support

	This project needs some love! ❤️ You can help in various ways.

	* Become a Sponsor!
	* Star this repo at the github page.
	* Other contributions can be in the form of feature requests, idea discussions, reporting bugs, opening pull requests.
	* Read more why becoming an sponsor is important on the Sponsor Github Page.
	
	Cheers Mate.


